### Class

# GdkX11X11Drag

#### Description

    final class GdkX11.X11Drag : Gdk.Drag
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GdkDrag
- GObject

#### Instance methods

##### Methods inherited from GdkDrag (10)

###### gdk_drag_drop_done

Informs GDK that the drop ended.

###### gdk_drag_get_actions

Determines the bitmask of possible actions proposed by the source.

###### gdk_drag_get_content

Returns the `GdkContentProvider` associated to the `GdkDrag` object.

###### gdk_drag_get_device

Returns the `GdkDevice` associated to the `GdkDrag` object.

###### gdk_drag_get_display

Gets the `GdkDisplay` that the drag object was created for.

###### gdk_drag_get_drag_surface

Returns the surface on which the drag icon should be rendered during the drag operation.

###### gdk_drag_get_formats

Retrieves the formats supported by this `GdkDrag` object.

###### gdk_drag_get_selected_action

Determines the action chosen by the drag destination.

###### gdk_drag_get_surface

Returns the `GdkSurface` where the drag originates.

###### gdk_drag_set_hotspot

Sets the position of the drag surface that will be kept under the cursor hotspot.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GdkDrag (7)

###### Gdk.Drag:actions

The possible actions of this drag.

###### Gdk.Drag:content

The `GdkContentProvider`.

###### Gdk.Drag:device

The `GdkDevice` that is performing the drag.

###### Gdk.Drag:display

The `GdkDisplay` that the drag belongs to.

###### Gdk.Drag:formats

The possible formats that the drag can provide its data in.

###### Gdk.Drag:selected-action

The currently selected action of the drag.

###### Gdk.Drag:surface

The surface where the drag originates.

#### Signals

##### Signals inherited from GdkDrag (3)

###### GdkDrag::cancel

Emitted when the drag operation is cancelled.

###### GdkDrag::dnd-finished

Emitted when the destination side has finished reading all data.

###### GdkDrag::drop-performed

Emitted when the drop operation is performed on an accepting client.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GdkX11X11DragClass {
      /* no available fields */
    }

No description available.